#
# Be sure to run `pod lib lint BFFramework.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'BFFramework'
  s.version          = '0.1.1'
  s.summary          = 'Byte fllow 基础组件库'
  s.swift_version    = '5.0'
# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!

  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://github.com/287971051@qq.com/BFFramework'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { '287971051@qq.com' => '287971051@qq.com' }
  s.source           = { :git => 'https://git.yishihui.comiOS/BFFramework.git'}
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '10.0'

  s.source_files = 'BFFramework/Classes/**/*'

   s.resource_bundles = {
     'BFFramework' => ['BFFramework/Assets/**/*.png','BFFramework/Assets/**/*.gif']
   }
   s.static_framework = true

   s.xcconfig = { 'CLANG_MODULES_AUTOLINK' => 'YES',
                  'OTHER_SWIFT_FLAGS' => "$(inherited) -DGLES",
                   'VALIDATE_WORKSPACE_SKIPPED_SDK_FRAMEWORKS' => "OpenGLES"
                 }
   s.pod_target_xcconfig = { 'OTHER_LDFLAGS' => '-all_load', 'VALID_ARCHS' => 'arm64 armv7' }
   s.public_header_files = 'BFFramework/Classes/**/*.h'
   # s.private_header_files = 'BFFramework/Classes/SupportFiles/AliyunOSSiOSAK_umbrella.h'
   # s.preserve_paths = ['BFFramework/Classes/BFFrameworkPodHeader.h']
   s.frameworks = 'UIKit', 'AVFoundation','OpenGLES', 'CoreMedia', 'QuartzCore'
    # 排除非 ios 平台的文件
    # s.ios.exclude_files = 'framework/Source/Mac', 'framework/Source/Linux', 'framework/Source/Operations/Shaders/ConvertedShaders_GL.swift'

    s.dependency 'Alamofire','4.9.1' # 网络请求库
    s.dependency 'SnapKit','4.2.0' # 布局库
    s.dependency 'Kingfisher','6.3.0' # 图片加载库
    s.dependency 'KingfisherWebP','1.3.0' # 加载WebP格式图片库 使用https://github.com/webmproject/libwebp.git地址可以不翻
    s.dependency 'RealmSwift','10.7.2' # Realm数据库
    s.dependency 'ObjectMapper','4.2.0' # json转model库
    s.dependency 'KeychainAccess','4.2.2' # 钥匙串库
    s.dependency 'Toast-Swift','5.0.1' # Toast提示组件
    s.dependency 'AliyunOSSiOS','2.10.8' # 阿里云组件
    s.dependency 'WechatOpenSDK-Swift','1.8.7.1' # 微信组件
    s.dependency 'MJRefresh','3.6.1' # 刷新组件
    s.dependency 'FDFullscreenPopGesture' ,'1.1'
    s.dependency 'LMJHorizontalScrollText' ,'2.0.2'
    s.dependency 'TXLiteAVSDK_Player','8.7.10102' # 腾讯播放器组件
    s.dependency 'Bugly','2.5.90' #crash log 收集

end
